Backward compatibility 2.1 SDK / Firmware ?

Backward compatibility 2.1 SDK / Firmware ? discussie in Ontwikkelen voor iOS forum; ( verdwijnt na registratie ) Vraag ik me iets af nou eh.. I hoeverre gaan je apps die je compiled onder de nieuwste (2.1) SDK backward compatible zijn met 2.0x ...



Ga terug   iPhone, iPod touch, iPad en Apple TV forum > Development > Ontwikkelen voor iOS
Wachtwoord vergeten? Registreren!
Registreer FAQ Ledenlijst Kalender Zoeken Berichten van vandaag Markeer forums als gelezen
  #1  
Oud 15 September 2008, 16:48
» iPhone 3G 8GB [FW: 3.0]  [Jailbreak: Nee]
» MacOS X
 
Geregistreerd: 19 March 2008
Berichten: 53
Standaard Backward compatibility 2.1 SDK / Firmware ?

Vraag ik me iets af nou eh..

I hoeverre gaan je apps die je compiled onder de nieuwste (2.1) SDK backward compatible zijn met 2.0x iphones?

Er zitten een paar nieuwe methodes in, o.a. in CoreLocation. Als je die gebruikt, wat doet een 2.0x iphone daar dan mee?

Ik heb m'n macbook en imac nog niet geupdate naar nieuwste SDK, omdat ik erg bang ben dat dingen dus niet correct gaan werken.

Iemand hier al ervaring mee / dit al getest ?

Zit er aan te denken om m'n iMac dualboot osx te maken, zodat ik 2 ontwikkel omgevingen kan hebben, eentje met 2.0 en eentje met 2.1 omgeving.
__________________
iPhone 2G 16GB @3.0 | t-Mobile iPhone 3G 8GB @3.0
Advertentie
Advertentie Gesponsorde links (verdwijnt na registratie)

  #2  
Oud 15 September 2008, 20:29
ideveloper's schermafbeelding
» iPhone 4S 64GB (Zwart) [FW: 5.1]  [Jailbreak: Nee]
» iPad 3 Wi-Fi +4G 64GB (Zwart) [FW: 5.1]  [Jailbreak: Nee]
» Mac OS X
 
Geregistreerd: 2 April 2008
Locatie: Bodegraven
Berichten: 339
Send a message via twitter to ideveloper
Standaard

Ikzelf ben overgegaan naar 2.1. Met XCode kun je nog wel voor 2.0 bouwen. Dat is een aparte optie geworden (zie afbeeling). Dus ik neem aan dat er wel degelijk verschillen zijn.

Ik kon na het updaten van m'n telefoon naar 2.1 ook niet meer debuggen met m'n oude ontwikkelomgeving en moest die dus ook naar 2.1 updaten.
Bijgevoegde afbeelding(e)
Bestandstype: png Afbeelding 2.png‎ (17,5 KB, 5x gelezen)
  #3  
Oud 15 September 2008, 20:31
» iPhone 3G 8GB [FW: 3.0]  [Jailbreak: Nee]
» MacOS X
 
Geregistreerd: 19 March 2008
Berichten: 53
Standaard

Ok. Thnx. Kan dus gewoon de SDK updaten en voor 2.0 blijven compilen.

Idd, ik kwam er ook achter dat m'n 3G iphone niet meer kon debuggen... weet ik ook gelijk de oorzaak
Reageren


Er zijn 1 actieve gebruikers die momenteel deze discussie bekijken (0 leden en 1 gasten)

 
Discussietools
Weergave

Soortgelijke discussies

Discussie Auteur Forum Reacties Laatste bericht
Compatibility iPhone 4 heijdemann iPhone accessoires en onderdelen 0 11 June 2010 15:20
Vidje ivm SDK en firmware 2.0 Sick Mic Archief 0 12 March 2008 22:37
Firmware 1.1.4 + SDK mikethemovie Archief 3 15 February 2008 21:32

Regels voor berichten
Je mag geen nieuwe discussies starten
Je mag niet reageren op berichten
Je mag geen bijlagen versturen
Je mag niet je berichten bewerken

BB code is Aan
Smileys zijn Aan
[IMG]-code is Aan
HTML-code is Uit
Trackbacks are Aan
Pingbacks are Aan
Refbacks are Uit



Alle tijden zijn GMT +2. Het is nu 04:02.